MemInfo(3pm)

NAME
Sys::MemInfo - query the total free and used physical memory

SYNOPSIS
  use Sys::MemInfo qw(totalmem freemem totalswap);

  print "total memory: ".(&totalmem / 1024)."\n";
  print "free memory:  ".(&freemem / 1024)."\n";

  print "total swap: ".(&totalswap / 1024)."\n";
  print "free swap:  ".(Sys::MemInfo::get("freeswap") / 1024)."\n";

DESCRIPTION
Sys::MemInfo return the total amount of free and used physical memory in bytes in totalmem and freemem variables.

Total amount of free and user swap memory are alse returned in totalswap and freeswap variables.

This module has been tested on Linux 3.13.0, UnixWare 7.1.2, AIX5, OpenBSD 3.8, NetBSD 2.0.2, FreBSD 5.4, HPUX11, Solaris 9, Tru64 5.1, Irix 6.5, Mac OS X 10.2 darwin and Windows XP.

It should work on FreeBSD 4 and Windows 9X/ME/NT/200X/Vista.

METHODS

availkeys
    Return list of all accessor keys (freemem, totalmem, etc.) This is useful for dumping out all known information from the object by calling get() on all of the returned keys.

freemem
    Returns free physical memory in bytes.

freeswap
    Returns free swap space in bytes.

get Returns the value of the passed key.

totalmem
    Returns total physical memory size in bytes.

totalswap
    Returns total swap space in bytes.

AUTHOR
Sylvain Cresto <scresto@gmail.com>

Thanks to Laurent Dufour and Wilson Snyder.

BUGS
Please send bug-reports to scresto@gmail.com

LICENCE
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

COPYRIGHT
Copyright (C) 2005, 2006, 2014, 2016 - Sylvain Cresto